| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Crypto
Crypto.DSA

Methods
generate_key()
generate_parameters()
get_g()
get_p()
get_q()
get_x()
get_y()
hash()
name()
nist_primes()
public_key_equal()
raw_sign()
raw_verify()
set_private_key()
set_public_key()
set_random()
sign_rsaref()
sign_ssl()
verify_rsaref()
verify_ssl()

Crypto.DSA()->get_y() | Crypto.DSA()->name()

# Method Crypto.DSA()->hash()

Method hash

  `Gmp.mpz hash(string msg)`

Description

  Makes a DSA hash of the messge msg .